#language: ru

@scp

Функционал: 005. SCP. АРМ планирования цепочек поставок и потребностей

Сценарий: 005.1. SCP. АРМ планирования цепочек поставок и потребностей

	Дано Я подключаюсь под "Планирование цепочек поставок и потребностей"
	Когда В командном интерфейсе я выбираю 'Планирование' 'Планирование цепочек поставок'
	Тогда я жду открытия окна 'Планирование цепочек поставок [за все время]' в течение 20 секунд
	И из выпадающего списка "Сценарий" я выбираю по строке 'Сценарий SCP'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И я перехожу к следующему реквизиту
	И из выпадающего списка "Потребности_ВариантЗаполнения" я выбираю точное значение 'Открыть АРМ Планирования потребностей'
	И я нажимаю на кнопку 'Заполнить'
	Тогда я жду открытия окна 'Планирование потребностей [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И из выпадающего списка "Сценарий" я выбираю по строке 'Оптимистичный сценарий'
	Тогда я жду открытия окна 'Планирование потребностей [24.08.2020 - 27.08.2020]' в течение 20 секунд	
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "24.08.2020 - 27.08.2020"
	Когда я нажимаю на кнопку с именем 'ФормаОбновить'
	И Я включаю пакетное изменение строк в АРМе планирования потребностей
	И из выпадающего списка "Сделать" я выбираю точное значение 'Изменить план на %'
	И в поле 'ГрупповоеИзменение_Значение' я ввожу текст '500,000'
	И я меняю значение переключателя 'для периода' на 'всех'
	И я нажимаю на кнопку 'Выполнить'
	И я нажимаю на кнопку 'Передать результат'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	Тогда элемент формы с именем "Сценарий" стал равен 'Сценарий SCP'
	Тогда элемент формы с именем "ВариантНачалаПериода" стал равен '19.08.2020'
	Тогда элемент формы с именем "ПериодовПланирования" стал равен '8'
	Тогда элемент формы с именем "ПериодичностьПланирования" стал равен 'День'
	Тогда таблица "Потребности" стала равной:
		| 'N'  | 'Номенклатура'                                | 'Характеристика' | 'План'  | 'Начало периода' | 'Склад'              | 'Период'        | 'Волна'         |
		| '1'  | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '1 200' | '24.08.20 00:00' | 'Основной склад ООО' | '24.08.20 (Пн)' | '1 [7:00-9:00]' |
		| '2'  | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '1 800' | '25.08.20 00:00' | 'Основной склад ООО' | '25.08.20 (Вт)' | '1 [7:00-9:00]' |
		| '3'  | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '1 800' | '26.08.20 00:00' | 'Основной склад ООО' | '26.08.20 (Ср)' | '1 [7:00-9:00]' |
		| '4'  | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '1 200' | '24.08.20 00:00' | 'Основной склад ООО' | '24.08.20 (Пн)' | '1 [7:00-9:00]' |
		| '5'  | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '1 800' | '25.08.20 00:00' | 'Основной склад ООО' | '25.08.20 (Вт)' | '1 [7:00-9:00]' |
		| '6'  | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '1 800' | '26.08.20 00:00' | 'Основной склад ООО' | '26.08.20 (Ср)' | '1 [7:00-9:00]' |
		| '7'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '1 200' | '24.08.20 00:00' | 'Основной склад ООО' | '24.08.20 (Пн)' | '1 [7:00-9:00]' |
		| '8'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '1 800' | '25.08.20 00:00' | 'Основной склад ООО' | '25.08.20 (Вт)' | '1 [7:00-9:00]' |
		| '9'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '1 800' | '26.08.20 00:00' | 'Основной склад ООО' | '26.08.20 (Ср)' | '1 [7:00-9:00]' |
		| '10' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '1 200' | '24.08.20 00:00' | 'Основной склад ООО' | '24.08.20 (Пн)' | '1 [7:00-9:00]' |
		| '11' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '1 800' | '25.08.20 00:00' | 'Основной склад ООО' | '25.08.20 (Вт)' | '1 [7:00-9:00]' |
		| '12' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '1 800' | '26.08.20 00:00' | 'Основной склад ООО' | '26.08.20 (Ср)' | '1 [7:00-9:00]' |
	И у элемента формы с именем "Потребности_ВариантЗаполнения" текст редактирования стал равен 'Открыть АРМ Планирования потребностей'
	И я закрываю сеанс TESTCLIENT
